return {
    -- color theme
    "EdenEast/nightfox.nvim",
    lazy = false,
    priority = 1000,
    config = function()
        -- local Shade = require("nightfox.lib.shade")
        require("nightfox").setup({
            options = {
                transparent = true,
            },
            specs = {
                carbonfox = {
                    comment = { fg = "#070707", italic = true },
                }
            },
            groups = {
                carbonfox = {
                    bracket = { fg = "#FFFFFF" },
                    builtin0 = { fg = "" },
                    builtin1 = { fg = "" },
                    builtin2 = { fg = "" },

                    keyword = { fg = "#8b009d", italic = true },

                }
            },
        })
        --     palettes = {
        --         all = {
        --             black   = Shade.new("#404944", 0.15, -0.15),
        --             white   = Shade.new("#dee4df", 0.15, -0.15),
        --             red     = Shade.new("#ffb4a9", 0.15, -0.15),
        --             orange  = Shade.new("#e3c46d", 0.15, -0.15),
        --             green   = Shade.new("#a3d397", 0.10, -0.15),
        --             darkgreen = Shade.new("#005602", 0.10, -0.15),
        --             yellow  = Shade.new("#e3c46d", 0.15, -0.15),
        --             blue    = Shade.new("#b7c4ff", 0.15, -0.15),
        --             magenta = Shade.new("#f5b2e2", 0.30, -0.15),
        --             pink    = Shade.new("#f5b2e2", 0.15, -0.15),
        --             purple  = Shade.new("#761464", 0.15, -0.15),
        --             cyan    = Shade.new("#8ad6b6", 0.15, -0.15),
        --             lightblue = Shade.new("#5c77ff", 0.15, -0.15),
        --
        --             bg0     = "#0f1512",                 -- Dark bg (status line and float)
        --             bg1     = "#0f1512",                 -- Default bg
        --             bg2     = "#1b211e",        -- Lighter bg (colorcolm folds)
        --             bg3     = "#252b28",    -- Lighter bg (cursor line)
        --             bg4     = "#303633", -- Conceal, border fg
        --
        --             fg0     = "#dee4df",               -- Lighter fg
        --             fg1     = "#dee4df",               -- Default fg
        --             fg2     = "#dee4df",               -- Darker fg (status line)
        --             fg3     = "#89938d",                 -- Darker fg (line numbers, fold colums)
        --
        --             sel0    = "#404944",          -- Popup bg, visual selection
        --             sel1    = "#00513b",        -- Popup sel bg, search bg
        --
        --             comment = "#89938d",
        --         },
        --     },
        --     groups = {
        --         all = {
        --             Cursor                    = { fg = "palette.white", bg = "palette.lightblue" },                  -- character under the cursor
        --             WinSeparator              = { fg = "palette.bg2" },                                          -- the column separating vertically split windows
        --             EndOfBuffer               = { link = "WinSeparator" },                                       -- filler lines (~) after the end of the buffer.  By default, this is highlighted like |hl-NonText|.
        --             CursorLine                = { bg = "palette.bg1" },
        --             CursorLineNr              = { fg = "palette.lightblue", style = "bold" },                         -- Like LineNr when 'cursorline' or 'relativenumber' is set for the cursor line.
        --             Search                    = { fg = "palette.lightblue", bg = "#00513b" }, -- Last search pattern highlighting (see 'hlsearch').  Also used for similar items that need to stand out.
        --             IncSearch                 = { fg = "palette.lightblue", bg = "#1a6b51" },                  -- 'incsearch' highlighting; also used for the text replaced with ":s///c"
        --             ModeMsg                   = { fg = "palette.bg3", style = "bold" },                          -- 'showmode' message (e.g., "-- INSERT --")
        --
        --             NvimTreeRootFolder        = { fg = "palette.lightblue", style = "bold" },
        --             NvimTreeFolderName        = { fg = "palette.lightblue" },
        --             NvimTreeFolderIcon        = { fg = "palette.lightblue" },
        --             NvimTreeOpenedFolderName  = { fg = "palette.lightblue" },
        --             NvimTreeSymlinkFolderName = { fg = "palette.magenta" },
        --
        --             NvimTreeExecFile          = { fg = "palette.red" },
        --             NvimTreeImageFile         = { fg = "palette.white" },
        --             NvimTreeSpecialFile       = { fg = "palette.yellow" },
        --             NvimTreeSymlink           = { fg = "palette.magenta" },
        --         },
        --     },
        --     spec = {
        --         syntax = {
        --             bracket = "palette.white",
        --             builtin0 = "palette.cyan",
        --             builtin1 = "palette.green",
        --             builtin2 = "palette.green",
        --             comment = { fg = "palette.comment", style = "italic" },
        --             conditional = "palette.pink",
        --             const = "palette.blue",
        --             dep = { fg = "palette.black", style = "strikethrough" },
        --             field = "palette.green",
        --             func = { fg ="palette.magenta", style = "italic" },
        --             ident = "palette.cyan",
        --             keywords = { fg = "palette.magenta", style = "italic" },
        --             number = "palette.purple",
        --             operator = "palette.white",
        --             preproc = "palette.black",
        --             regex = "palette.yellow",
        --             statement = "palette.darkgreen",
        --             string = "",
        --         }
        --     }
        -- })
        if not vim.g.vscode then
            vim.cmd([[colorscheme carbonfox]])
        end
    end,
}
